Loading...
Searching...
No Matches
gx_engine::UiBuilderBase Class Referenceabstract

`#include <gx_pluginloader.h>`

Inheritance diagram for gx_engine::UiBuilderBase:

## Public Member Functions

virtual bool | load (Plugin *p)=0

## Additional Inherited Members

Public Attributes inherited from UiBuilder
PluginDef * | plugin
void(* | load_glade )(const char *data)
void(* | load_glade_file )(const char *fname)
void(* | openTabBox )(const char *label)
void(* | openVerticalBox )(const char *label)
void(* | openVerticalBox1 )(const char *label)
void(* | openVerticalBox2 )(const char *label)
void(* | openHorizontalBox )(const char *label)
void(* | openHorizontalhideBox )(const char *label)
void(* | openHorizontalTableBox )(const char *label)
void(* | openFrameBox )(const char *label)
void(* | openFlipLabelBox )(const char *label)
void(* | openpaintampBox )(const char *label)
void(* | closeBox )()
void(* | insertSpacer )()
void(* | set_next_flags )(int flags)
void(* | create_master_slider )(const char *id, const char *label)
void(* | create_feedback_slider )(const char *id, const char *label)
void(* | create_small_rackknob )(const char *id, const char *label)
void(* | create_big_rackknob )(const char *id, const char *label)
void(* | create_selector_no_caption )(const char *id)
void(* | create_switch_no_caption )(const char *sw_type, const char *id)
void(* | create_feedback_switch )(const char *sw_type, const char *id)
void(* | create_spin_value )(const char *id, const char *label)
void(* | create_port_display )(const char *id, const char *label)
void(* | create_p_display )(const char *id, const char *idl, const char *idh)
void(* | create_switch )(const char *sw_type, const char *id, const char *label)
void(* | create_selector )(const char *id, const char *label)
void(* | create_simple_meter )(const char *id)
void(* | create_simple_c_meter )(const char *id, const char *idl, const char *label)
void(* | create_small_rackknobr )(const char *id, const char *label)
void(* | create_wheel )(const char *id, const char *label)
void(* | create_simple_spin_value )(const char *id)
void(* | create_eq_rackslider_no_caption )(const char *id)
void(* | create_fload_switch )(const char *sw_type, const char *id, const char *idf)
void(* | create_mid_rackknob )(const char *id, const char *label)

## Detailed Description

Definition at line 89 of file gx_pluginloader.h.

## Member Function Documentation

## load()

virtual bool gx_engine::UiBuilderBase::load | ( | Plugin * | p | ) |

pure virtual

Implemented in gx_gui::UiBuilderImpl.

The documentation for this class was generated from the following file:

- src/headers/gx_pluginloader.h